## openjfx 8u60-b27

=== debian/changelog ===
openjfx (8u60-b27-4) unstable; urgency=medium

  * Team upload.
  * Don't build java docs and sources for arch-only builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Oct 2015 14:37:15 +0200

openjfx (8u60-b27-3) unstable; urgency=medium

  * Team upload.
  * Kill more -m32 settings.
  * Increase maximum heap space for the s390x build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Oct 2015 07:14:06 +0200

openjfx (8u60-b27-2) unstable; urgency=medium

  * Team upload.
  * Fix build on arm64, patch taken from the webkitgtk package.
  * Kill most of the direct -m32 / -m64 settings. Closes: #779833.
  * Add build dependency on openjdk-8-doc, point JDK_DOCS to it.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Oct 2015 09:47:38 +0200

openjfx (8u60-b27-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
    - Build with qt5-qmake instead of qt4-qmake
    - New build dependency on ruby
    - Added a patch to link dynamically against ICU
    - Removed the non-free JavaScript minifier from the upstream tarball
  * Fixed a build failure with Gradle 2.5 (Closes: #795851)
  * Depend on GStreamer 1.0 (Closes: #799280)
  * Enabled hardening for libavplugin.so, libfxplugins.so, libgstreamer-lite.so
    and libjfxmedia.so

  [ Matthias Klose ]
  * Fix installation into the jre architecture directory.
  * Enable verbose (debug) build for slow architectures.
  * Build using the qmake linux-g++ spec.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 07 Oct 2015 10:05:29 +0200

openjfx (8u40-b25-3) unstable; urgency=medium

  * Fixed a build failure with antlr 3.5.2
  * Set the locale to 'en' when generating the javadoc to improve
    the build reproducibility

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Jul 2015 15:38:43 +0200

openjfx (8u40-b25-2) unstable; urgency=medium

  * Team upload.
  * Remove build-dep on ksh, which isn't actually required for the build.
    (Closes: #790382)
  * Update debian/copyright stanza for the WebKit rendering engine
    to address a lintian warning.
  * Replace Build-Depends on qt4-default with libqt4-dev, qtchooser
    to address lintian error.

 -- tony mancill <tmancill@debian.org>  Sun, 28 Jun 2015 09:44:07 -0700

=== debian/control ===
Source: openjfx
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends: antlr3,
               bison,
               debhelper (>= 9),
               flex,
               gperf,
               gradle,
               junit4,
               libasound2-dev,
               libavcodec-dev,
               libavformat-dev,
               libgl1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libsqlite3-dev,
               libstringtemplate-java,
               libswt-gtk-3-java,
               libudev-dev,
               libwerken.xpath-java,
               libx11-dev,
               libxml2-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libxxf86vm-dev,
               openjdk-8-jdk,
               openjdk-8-doc,
               pkg-config,
               qtbase5-dev,
               qtchooser,
               qt5-qmake,
               ruby,
               x11proto-core-dev,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/openjfx.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/openjfx.git
Homepage: http://openjdk.java.net/projects/openjfx/

Package: openjfx
Architecture: any
Depends: libopenjfx-java, openjdk-8-jre, ${misc:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.

Package: libopenjfx-java
Architecture: all
Depends: libopenjfx-jni, ${misc:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (Java libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the Java libraries.

Package: libopenjfx-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (native libraries)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the native libraries for libopenjfx-java.

Package: libopenjfx-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libopenjfx-java, openjdk-8-doc
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (Javadoc)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the API documentation for libopenjfx-java.

Package: openjfx-source
Architecture: all
Depends: ${misc:Depends}
Description: JavaFX/OpenJFX 8 - Rich client application platform for Java (sources)
 JavaFX/OpenJFX is a set of graphics and media APIs that enables Java developers
 to design, create, test, debug, and deploy rich client applications that
 operate consistently across diverse platforms.
 .
 This package contains the source archive to be used with an IDE.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# gradle runs a long time without output
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf arm64 mips mipsel))
  gradle_debug = --debug
endif

# FIXME: looks like s390x is recognized as a 32bit arch ...
# more heap on s390x needed
ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
  SET_JAVA_OPTS = JAVA_OPTS=-Xmx2304m
endif

export JAVA_HOME    = /usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
export OPENJFX_HOME = /usr/share/java/openjfx
export QT_SELECT    = qt5

jvm_arch_map = \
	alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc \
	i386=i386 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el \
	powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le \
	sparc=sparc sparc64=sparc64 sh4=sh s390x=s390x ia64=ia64 m68k=m68k x32=x32

jvm_arch   := $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, $(filter $(DEB_HOST_ARCH_CPU)=%, $(jvm_arch_map))))

arch_only = $(shell (dh_listpackages | fgrep -q libopenjfx-java-doc) || echo yes)

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build
ifeq ($(arch_only),yes)
	cp debian/gradle.properties.arch gradle.properties
else
	cp debian/gradle.properties .
endif

	# replace the non-free JavaScript minifier with a noop equivalent
	cp debian/jsmin-noop.py modules/web/src/main/native/Source/JavaScriptCore/inspector/scripts/jsmin.py

	# work around a compilation issue with Gradle 2.x
	mkdir -p modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/dom/
	mkdir -p modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/perf/
	cp modules/web/src/main/java/com/sun/webkit/Disposer*            modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/
	cp modules/web/src/main/java/com/sun/webkit/Invoker.java         modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/
	cp modules/web/src/main/java/com/sun/webkit/dom/JSObject.java    modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/dom/
	cp modules/web/src/main/java/com/sun/webkit/perf/PerfLogger.java modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/perf/

	$(SET_JAVA_OPTS) gradle --offline --stacktrace $(gradle_debug) --refresh-dependencies --gradle-user-home .gradle

override_dh_install:
ifneq ($(arch_only),yes)
	dh_install -i
endif

	gzip -r -v -n --best build/sdk/man/
	dh_install -popenjfx build/sdk/bin/* $(JAVA_HOME)/bin
	dh_install -popenjfx build/sdk/man   $(JAVA_HOME)
	dh_link -popenjfx $(JAVA_HOME)/bin/javafxpackager           /usr/bin/javafxpackager
	dh_link -popenjfx $(JAVA_HOME)/man/man1/javafxpackager.1.gz /usr/share/man/man1/javafxpackager.1.gz

ifneq ($(arch_only),yes)
	dh_install -plibopenjfx-java build/sdk/lib                  $(OPENJFX_HOME)
	dh_install -plibopenjfx-java build/sdk/rt/lib/*.jar         $(OPENJFX_HOME)/jre/lib
	dh_install -plibopenjfx-java build/sdk/rt/lib/*.properties  $(OPENJFX_HOME)/jre/lib
	dh_install -plibopenjfx-java build/sdk/rt/lib/ext           $(OPENJFX_HOME)/jre/lib
endif

	dh_link -popenjfx $(OPENJFX_HOME)/jre/lib/jfxswt.jar        $(JAVA_HOME)/jre/lib/jfxswt.jar
	dh_link -popenjfx $(OPENJFX_HOME)/jre/lib/javafx.properties $(JAVA_HOME)/jre/lib/javafx.properties
	dh_link -popenjfx $(OPENJFX_HOME)/jre/lib/ext/jfxrt.jar     $(JAVA_HOME)/jre/lib/ext/jfxrt.jar
	dh_link -popenjfx $(OPENJFX_HOME)/lib/ant-javafx.jar        $(JAVA_HOME)/lib/ant-javafx.jar
	dh_link -popenjfx $(OPENJFX_HOME)/lib/javafx-mx.jar         $(JAVA_HOME)/lib/javafx-mx.jar

	ls -l build/sdk/rt/lib
	dh_install -plibopenjfx-jni build/sdk/rt/lib/*/*.so $(JAVA_HOME)/jre/lib/$(jvm_arch)

ifneq ($(arch_only),yes)
	dh_install -popenjfx-source build/javafx-src.zip $(JAVA_HOME)
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f gradle.properties
	rm -Rf build .gradle buildSrc/.gradle/ buildSrc/build/
	rm -Rf modules/base/build/
	rm -Rf modules/graphics/build/
	rm -Rf modules/controls/build/
	rm -Rf modules/designTime/build/
	rm -Rf modules/swing/build/
	rm -Rf modules/builders/build/
	rm -Rf modules/extensions/build/
	rm -Rf modules/fxml/build/
	rm -Rf modules/fxpackager/build/
	rm -Rf modules/media/build/
	rm -Rf modules/swt/build/
	rm -Rf modules/web/build/
	rm -Rf modules/jmx/build/
	rm -Rf tests/system/build/
	rm -f modules/web/src/main/native/Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.pyc
	rm -f modules/web/src/main/native/Source/JavaScriptCore/inspector/scripts/jsmin.py

get-orig-source:
	uscan --download-current-version --force-download --rename

=== debian/watch ===
version=3
http://87.98.165.193/checkjdk.php .*/jdk(\d(?:u\d+)-b\d+).tar.gz debian debian/orig-tar.sh

## openjfx 8u91-b14

=== debian/changelog ===
openjfx (8u91-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Fixes the security vulnerabilities CVE-2015-4916, CVE-2015-4908,
      CVE-2015-4906 and CVE-2015-4901 (Closes: #823622)
  * Build with gradle-debian-helper
  * Use override_dh_*-{arch,indep} to split the arch all/any operations
  * Simplified the clean target
  * Updated debian/watch
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 07 May 2016 22:32:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 9),
                flex,
                gperf,
-               gradle,
+               gradle-debian-helper,
                junit4,
                libasound2-dev,
                libavcodec-dev,
@@ -39,9 +39,9 @@
                ruby,
                x11proto-core-dev,
                x11proto-xf86vidmode-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/openjfx.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/openjfx.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/openjfx.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/openjfx.git
 Homepage: http://openjdk.java.net/projects/openjfx/
 
 Package: openjfx

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# FIXME: looks like s390x is recognized as a 32bit arch ...
# more heap on s390x needed
ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
  SET_JAVA_OPTS = JAVA_OPTS=-Xmx2304m
endif

export JAVA_HOME    = /usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
export OPENJFX_HOME = /usr/share/java/openjfx
export QT_SELECT    = qt5

jvm_arch_map = \
	alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc \
	i386=i386 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el \
	powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le \
	sparc=sparc sparc64=sparc64 sh4=sh s390x=s390x ia64=ia64 m68k=m68k x32=x32

jvm_arch   := $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, $(filter $(DEB_HOST_ARCH_CPU)=%, $(jvm_arch_map))))

%:
	dh $@ --buildsystem=gradle

override_dh_auto_build-arch:
	cp debian/gradle.properties .

	# replace the non-free JavaScript minifier with a noop equivalent
	cp debian/jsmin-noop.py modules/web/src/main/native/Source/JavaScriptCore/inspector/scripts/jsmin.py

	# work around a compilation issue with Gradle 2.x
	mkdir -p modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/dom/
	mkdir -p modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/perf/
	cp modules/web/src/main/java/com/sun/webkit/Disposer*            modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/
	cp modules/web/src/main/java/com/sun/webkit/Invoker.java         modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/
	cp modules/web/src/main/java/com/sun/webkit/dom/JSObject.java    modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/dom/
	cp modules/web/src/main/java/com/sun/webkit/perf/PerfLogger.java modules/web/build/linux/Release/WebCore/generated/java/com/sun/webkit/perf/

	$(SET_JAVA_OPTS) dh_auto_build -- sdk -x javadoc -x src

override_dh_auto_build-indep:
	$(SET_JAVA_OPTS) dh_auto_build -- javadoc src

override_dh_install-arch:
	dh_install -a

	gzip -r -v -n --best build/sdk/man/
	dh_install -popenjfx build/sdk/bin/* $(JAVA_HOME)/bin
	dh_install -popenjfx build/sdk/man   $(JAVA_HOME)
	dh_link -popenjfx $(JAVA_HOME)/bin/javafxpackager           /usr/bin/javafxpackager
	dh_link -popenjfx $(JAVA_HOME)/man/man1/javafxpackager.1.gz /usr/share/man/man1/javafxpackager.1.gz

	dh_link -popenjfx $(OPENJFX_HOME)/jre/lib/jfxswt.jar        $(JAVA_HOME)/jre/lib/jfxswt.jar
	dh_link -popenjfx $(OPENJFX_HOME)/jre/lib/javafx.properties $(JAVA_HOME)/jre/lib/javafx.properties
	dh_link -popenjfx $(OPENJFX_HOME)/jre/lib/ext/jfxrt.jar     $(JAVA_HOME)/jre/lib/ext/jfxrt.jar
	dh_link -popenjfx $(OPENJFX_HOME)/lib/ant-javafx.jar        $(JAVA_HOME)/lib/ant-javafx.jar
	dh_link -popenjfx $(OPENJFX_HOME)/lib/javafx-mx.jar         $(JAVA_HOME)/lib/javafx-mx.jar

	ls -l build/sdk/rt/lib
	dh_install -plibopenjfx-jni build/sdk/rt/lib/*/*.so $(JAVA_HOME)/jre/lib/$(jvm_arch)

override_dh_install-indep:
	dh_install -i

	dh_install -plibopenjfx-java build/sdk/lib                  $(OPENJFX_HOME)
	dh_install -plibopenjfx-java build/sdk/rt/lib/*.jar         $(OPENJFX_HOME)/jre/lib
	dh_install -plibopenjfx-java build/sdk/rt/lib/*.properties  $(OPENJFX_HOME)/jre/lib
	dh_install -plibopenjfx-java build/sdk/rt/lib/ext           $(OPENJFX_HOME)/jre/lib

	dh_install -popenjfx-source build/javafx-src.zip $(JAVA_HOME)

override_dh_auto_clean:
	dh_auto_clean
	rm -f gradle.properties
	rm -f modules/web/src/main/native/Source/JavaScriptCore/inspector/scripts/CodeGeneratorInspectorStrings.pyc
	rm -f modules/web/src/main/native/Source/JavaScriptCore/inspector/scripts/jsmin.py

get-orig-source:
	uscan --download-current-version --force-download --rename

## openjfx 8u102

=== modules/web/src/main/native/Tools/Makefile ===
MODULES = DumpRenderTree WebKitTestRunner MiniBrowser ../Source/ThirdParty/gtest/xcode TestWebKitAPI

ifneq (,$(findstring iphone,$(SDKROOT)))
	MODULES = DumpRenderTree WebKitTestRunner ../Source/ThirdParty/gtest/xcode TestWebKitAPI
endif

all:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

debug d development dev develop:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

release r deployment dep deploy:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

clean:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

=== modules/web/src/main/native/Tools/MiniBrowser/efl/CMakeLists.txt ===
set(MiniBrowser_DIR "${TOOLS_DIR}/MiniBrowser/efl")

# Elementary is needed to build MiniBrowser
find_package(Elementary ${EFL_REQUIRED_VERSION} ${EFL_CONFIG_MODE})

set(MiniBrowser_SOURCES
    ${TOOLS_DIR}/EWebLauncher/url_utils.c
    ${MiniBrowser_DIR}/main.c
)

set(MiniBrowser_INCLUDE_DIRECTORIES
    ${CAIRO_INCLUDE_DIRS}
    ${ECORE_INCLUDE_DIRS}
    ${ECORE_EVAS_INCLUDE_DIRS}
    ${ECORE_CON_INCLUDE_DIRS}
    ${ECORE_FILE_INCLUDE_DIRS}
    ${ECORE_IMF_INCLUDE_DIRS}
    ${ECORE_INPUT_INCLUDE_DIRS}
    ${EDJE_INCLUDE_DIRS}
    ${EET_INCLUDE_DIRS}
    ${EO_INCLUDE_DIRS}
    ${DBUS_INCLUDE_DIRS}
    ${E_DBUS_INCLUDE_DIRS}
    ${EFREET_INCLUDE_DIRS}
    ${EINA_INCLUDE_DIRS}
    ${ELEMENTARY_INCLUDE_DIRS}
    ${EVAS_INCLUDE_DIRS}
    ${TOOLS_DIR}/EWebLauncher
    ${WEBKIT2_DIR}/UIProcess/API/efl
    ${WEBKIT2_DIR}
    ${CMAKE_SOURCE_DIR}/Source
)

set(MiniBrowser_LIBRARIES
    JavaScriptCore
    WebCore
    WebKit2
    ${CAIRO_LIBRARIES}
    ${ECORE_LIBRARIES}
    ${ECORE_EVAS_LIBRARIES}
    ${ECORE_FILE_LIBRARIES}
    ${EDJE_LIBRARIES}
    ${EET_LIBRARIES}
    ${EINA_LIBRARIES}
    ${ELEMENTARY_LIBRARIES}
    ${EO_LIBRARIES}
    ${EVAS_LIBRARIES}
    ${FONTCONFIG_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${GLIB_GTHREAD_LIBRARIES}
    ${LIBSOUP_LIBRARIES}
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES} -lm
    ${OPENGL_LIBRARIES}
    ${SQLITE_LIBRARIES}
)

if (ELEMENTARY_FOUND)
    include_directories(${MiniBrowser_INCLUDE_DIRECTORIES})
    add_executable(MiniBrowser ${MiniBrowser_SOURCES})
    target_link_libraries(MiniBrowser ${MiniBrowser_LIBRARIES})
    set_target_properties(MiniBrowser PROPERTIES FOLDER "Tools")
endif ()

=== modules/media/src/main/native/gstreamer/projects/mac/gstreamer-lite/Makefile ===
#
# MacOs gstreamer-lite Makefile
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

BASE_DIR = ../../..

GLIB_VERSION = 2.28.8
GLIB_DIR = $(BASE_DIR)/3rd_party/glib/glib-$(GLIB_VERSION)

SRCBASE_DIR = $(BASE_DIR)/gstreamer-lite
OBJBASE_DIR = $(BUILD_DIR)/obj/gstreamer-lite

DIRLIST = gstreamer/gst                     \
	  gstreamer/libs/gst/base \
          gstreamer/libs/gst/controller \
          gst-plugins-base/gst-libs/gst/audio \
	  gst-plugins-base/gst-libs/gst/interfaces \
	  gst-plugins-base/gst-libs/gst/video \
	  gst-plugins-base/gst-libs/gst/pbutils \
          gst-plugins-base/gst-libs/gst/tag \
	  gst-plugins-base/gst-libs/gst/riff \
	  gst-plugins-base/gst-libs/gst/fft \
	  gst-plugins-base/gst-libs/gst/app \
	  projects/plugins                  \
	  gstreamer/plugins/elements \
          gst-plugins-base/gst/typefind \
	  gst-plugins-base/gst/audioconvert \
          gst-plugins-good/gst/audioparsers \
	  gst-plugins-good/gst/isomp4 \
	  gst-plugins-good/gst/audiofx \
	  gst-plugins-good/gst/equalizer \
	  gst-plugins-good/gst/spectrum \
	  gst-plugins-good/gst/wavparse \
	  gst-plugins-bad/gst/aiff \
	  gst-plugins-base/gst/app \
          gst-plugins-good/sys/osxaudio

TARGET_NAME = lib$(BASE_NAME).dylib
TARGET = $(BUILD_DIR)/$(TARGET_NAME)

CFLAGS = -arch x86_64 \
	 -fPIC \
         -Werror=implicit-function-declaration \
         -D_GNU_SOURCE \
         -DGST_REMOVE_DEPRECATED \
         -DGST_DISABLE_GST_DEBUG \
         -DGST_DISABLE_LOADSAVE \
         -DG_DISABLE_DEPRECATED \
         -DG_DISABLE_ASSERT \
         -DHAVE_CONFIG_H \
         -DGSTREAMER_LITE \
         -DGST_REMOVE_DISABLED \
         -DOSX \
         -msse2 \
         -mmacosx-version-min=10.7

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -O0 -g -Wall
endif

INCLUDES = $(addprefix -I$(SRCBASE_DIR)/,$(DIRLIST)) \
           -I$(BASE_DIR)/plugins/ \
           -I$(SRCBASE_DIR)/projects/plugins \
           -I$(SRCBASE_DIR)/gstreamer \
           -I$(SRCBASE_DIR)/gstreamer/libs \
           -I$(SRCBASE_DIR)/gst-plugins-base \
           -I$(SRCBASE_DIR)/gst-plugins-base/gst-libs \
           -I$(GLIB_DIR) \
           -I$(GLIB_DIR)/glib \
           -I$(GLIB_DIR)/gmodule \
           -I$(GLIB_DIR)/build/osx

LDFLAGS = -mmacosx-version-min=10.7 -arch x86_64 \
	  -L$(BUILD_DIR) -Wl,-install_name,@rpath/$(TARGET_NAME) -lglib-lite \
          -framework CoreAudio -framework AudioUnit -framework CoreServices

C_SOURCES = gstreamer/libs/gst/base/gstbytereader.c \
            gstreamer/gst/gst.c                                                \
            gstreamer/gst/gstbin.c                                             \
            gstreamer/gst/gstbuffer.c                                          \
            gstreamer/gst/gstbufferlist.c                                      \
            gstreamer/gst/gstbus.c                                             \
            gstreamer/gst/gstcaps.c                                            \
            gstreamer/gst/gstchildproxy.c                                      \
            gstreamer/gst/gstclock.c                                           \
            gstreamer/gst/gstdebugutils.c                                      \
            gstreamer/gst/gstelement.c                                         \
            gstreamer/gst/gstelementfactory.c                                  \
            gstreamer/gst/gsterror.c                                           \
            gstreamer/gst/gstevent.c                                           \
            gstreamer/gst/gstfilter.c                                          \
            gstreamer/gst/gstformat.c                                          \
            gstreamer/gst/gstghostpad.c                                        \
            gstreamer/gst/gstindex.c                                           \
            gstreamer/gst/gstindexfactory.c                                    \
            gstreamer/gst/gstinfo.c                                            \
            gstreamer/gst/gstinterface.c                                       \
            gstreamer/gst/gstiterator.c                                        \
            gstreamer/gst/gstmessage.c                                         \
            gstreamer/gst/gstminiobject.c                                      \
            gstreamer/gst/gstobject.c                                          \
            gstreamer/gst/gstpad.c                                             \
            gstreamer/gst/gstpadtemplate.c                                     \
            gstreamer/gst/gstparamspecs.c                                      \
            gstreamer/gst/gstpipeline.c                                        \
            gstreamer/gst/gstplugin.c                                          \
            gstreamer/gst/gstpluginfeature.c                                   \
            gstreamer/gst/gstpoll.c                                            \
            gstreamer/gst/gstpreset.c                                          \
            gstreamer/gst/gstquark.c                                           \
            gstreamer/gst/gstquery.c                                           \
            gstreamer/gst/gstregistry.c                                        \
            gstreamer/gst/gstregistrybinary.c                                  \
            gstreamer/gst/gstsegment.c                                         \
            gstreamer/gst/gststructure.c                                       \
            gstreamer/gst/gstsystemclock.c                                     \
            gstreamer/gst/gsttaglist.c                                         \
            gstreamer/gst/gsttagsetter.c                                       \
            gstreamer/gst/gsttask.c                                            \
            gstreamer/gst/gsttaskpool.c                                        \
            gstreamer/gst/gsttrace.c                                           \
            gstreamer/gst/gsttypefind.c                                        \
            gstreamer/gst/gsttypefindfactory.c                                 \
            gstreamer/gst/gsturi.c                                             \
            gstreamer/gst/gstutils.c                                           \
            gstreamer/gst/gstvalue.c                                           \
            gstreamer/libs/gst/base/gstadapter.c                               \
            gstreamer/libs/gst/base/gstbasesink.c                              \
            gstreamer/libs/gst/base/gstbasesrc.c                               \
            gstreamer/libs/gst/base/gstbasetransform.c                         \
            gstreamer/libs/gst/base/gstcollectpads.c                           \
            gstreamer/libs/gst/base/gstpushsrc.c                               \
            gstreamer/libs/gst/base/gsttypefindhelper.c                        \
            gstreamer/libs/gst/controller/gstcontroller.c                      \
            gstreamer/libs/gst/controller/gstcontrolsource.c                   \
            gstreamer/libs/gst/controller/gsthelper.c                          \
            gstreamer/libs/gst/controller/gstinterpolation.c                   \
            gstreamer/libs/gst/controller/gstinterpolationcontrolsource.c      \
            gstreamer/libs/gst/controller/gstlfocontrolsource.c                \
            gstreamer/libs/gst/controller/lib.c                                \
            gst-plugins-base/gst-libs/gst/audio/audio-enumtypes.c              \
            gst-plugins-base/gst-libs/gst/audio/audio.c                        \
            gst-plugins-base/gst-libs/gst/audio/gstaudioclock.c                \
            gst-plugins-base/gst-libs/gst/audio/gstaudiofilter.c               \
            gst-plugins-base/gst-libs/gst/audio/gstaudiosink.c                 \
            gst-plugins-base/gst-libs/gst/audio/gstaudiosrc.c                  \
            gst-plugins-base/gst-libs/gst/audio/gstbaseaudiosink.c             \
            gst-plugins-base/gst-libs/gst/audio/gstbaseaudiosrc.c              \
            gst-plugins-base/gst-libs/gst/audio/gstringbuffer.c                \
            gst-plugins-base/gst-libs/gst/audio/mixerutils.c                   \
            gst-plugins-base/gst-libs/gst/audio/multichannel.c                 \
            gst-plugins-base/gst-libs/gst/interfaces/interfaces-enumtypes.c    \
            gst-plugins-base/gst-libs/gst/interfaces/interfaces-marshal.c      \
            gst-plugins-base/gst-libs/gst/interfaces/mixer.c                   \
            gst-plugins-base/gst-libs/gst/interfaces/mixeroptions.c            \
            gst-plugins-base/gst-libs/gst/interfaces/mixertrack.c              \
            gst-plugins-base/gst-libs/gst/interfaces/navigation.c              \
            gst-plugins-base/gst-libs/gst/interfaces/propertyprobe.c           \
            gst-plugins-base/gst-libs/gst/interfaces/videoorientation.c        \
            gst-plugins-base/gst-libs/gst/interfaces/xoverlay.c                \
            gst-plugins-base/gst-libs/gst/video/gstvideofilter.c               \
            gst-plugins-base/gst-libs/gst/video/gstvideosink.c                 \
            gst-plugins-base/gst-libs/gst/video/video-enumtypes.c              \
            gst-plugins-base/gst-libs/gst/video/video.c                        \
            gst-plugins-base/gst-libs/gst/pbutils/descriptions.c               \
            gst-plugins-base/gst-libs/gst/pbutils/missing-plugins.c            \
            gst-plugins-base/gst-libs/gst/pbutils/pbutils-enumtypes.c          \
            gst-plugins-base/gst-libs/gst/pbutils/pbutils.c                    \
            gst-plugins-base/gst-libs/gst/tag/gstid3tag.c                      \
            gst-plugins-base/gst-libs/gst/tag/gsttagdemux.c                    \
            gst-plugins-base/gst-libs/gst/tag/gstvorbistag.c                   \
            gst-plugins-base/gst-libs/gst/tag/tags.c                           \
            gst-plugins-base/gst-libs/gst/riff/riff-media.c                    \
            gst-plugins-base/gst-libs/gst/riff/riff-read.c                     \
            gst-plugins-base/gst-libs/gst/riff/riff.c                          \
            gst-plugins-base/gst-libs/gst/app/gstappbuffer.c                   \
            gst-plugins-base/gst-libs/gst/app/gstappsink.c                     \
            gst-plugins-base/gst-libs/gst/fft/gstfft.c                         \
            gst-plugins-base/gst-libs/gst/fft/gstfftf32.c                      \
            gst-plugins-base/gst-libs/gst/fft/gstfftf64.c                      \
            gst-plugins-base/gst-libs/gst/fft/gstffts16.c                      \
            gst-plugins-base/gst-libs/gst/fft/gstffts32.c                      \
            gst-plugins-base/gst-libs/gst/fft/kiss_fft_f32.c                   \
            gst-plugins-base/gst-libs/gst/fft/kiss_fft_f64.c                   \
            gst-plugins-base/gst-libs/gst/fft/kiss_fft_s16.c                   \
            gst-plugins-base/gst-libs/gst/fft/kiss_fft_s32.c                   \
            gst-plugins-base/gst-libs/gst/fft/kiss_fftr_f32.c                  \
            gst-plugins-base/gst-libs/gst/fft/kiss_fftr_f64.c                  \
            gst-plugins-base/gst-libs/gst/fft/kiss_fftr_s16.c                  \
            gst-plugins-base/gst-libs/gst/fft/kiss_fftr_s32.c                  \
            gstreamer/libs/gst/base/gstbaseparse.c                             \
            gstreamer/gst/gstdatetime.c                                        \
            gstreamer/gst/gstenumtypes.c                                       \

=== modules/media/src/main/native/gstreamer/projects/win/fxplugins/Makefile ===
#
# fxplugins Makefile
#

CC   = cl.exe
CPP  = cl.exe
LINK = link.exe

GLIB_VERSION = 2.28.8

BASECLASSES_TARGET = baseclasses.lib
MODULES = $(BASECLASSES_TARGET)

export BUILD_DIR = $(shell cygpath -u "$(OUTPUT_DIR)/$(BUILD_TYPE)")
TARGET = $(BUILD_DIR)/$(BASE_NAME).dll

MANIFEST   = $(shell cygpath -ma "$(BUILD_DIR)/$(BASE_NAME).manifest")
IMPLIB     = $(shell cygpath -ma "$(BUILD_DIR)/$(BASE_NAME).lib")
export PDB = $(shell cygpath -ma "$(BUILD_DIR)/$(BASE_NAME).pdb")

SYSTEM_LIBS = glib-lite.lib \
              gstreamer-lite.lib \
              winmm.lib \
              strmiids.lib \
              kernel32.lib \
              user32.lib \
              shell32.lib \
              advapi32.lib \
              ole32.lib \
              oleaut32.lib \
              strmiids.lib

LDFLAGS = -out:$(shell cygpath -ma $(TARGET)) -nologo -incremental:no -libpath:$(shell cygpath -ma $(BUILD_DIR)) -dll $(SYSTEM_LIBS) \
          -nodefaultlib:libcmt -manifest -manifestfile:$(MANIFEST) -manifestuac:"level='asInvoker' uiAccess='false'" -implib:$(IMPLIB) \
          -subsystem:windows -tlbid:1 -dynamicbase -nxcompat -errorreport:queue 

OBJBASE_DIR = $(BUILD_DIR)/obj/plugins
SRCBASE_DIR = ../../../plugins

GLIB_DIR        = ../../../3rd_party/glib/glib-$(GLIB_VERSION)
GSTREAMER_DIR   = ../../../gstreamer-lite
BASECLASSES_DIR = $(shell cygpath -mas "$(BASECLASSES_SDK_DIR)"/Samples/multimedia/directshow/baseclasses)

DIRLIST = dshowwrapper \
          javasource \
          progressbuffer \
          progressbuffer/win32

DEP_DIRS = $(BUILD_DIR) $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))

C_SOURCES = javasource/javasource.c \
            javasource/marshal.c \
            progressbuffer/progressbuffer.c \
            progressbuffer/hlsprogressbuffer.c \
            progressbuffer/win32/filecache.c \
            fxplugins.c

CPP_SOURCES = dshowwrapper/Allocator.cpp \
              dshowwrapper/dshowwrapper.cpp \
              dshowwrapper/Sink.cpp \
              dshowwrapper/Src.cpp

COMPILER_FLAGS = -nologo -W3 -WX- -EHsc -GS -fp:precise \
                 -Zc:wchar_t -Zc:forScope- -analyze- -errorReport:queue -Gm-

INCLUDES =  $(addprefix -I$(SRCBASE_DIR)/,$(DIRLIST)) \
            -I$(SRCBASE_DIR) \
            -I$(GLIB_DIR) \
            -I$(GLIB_DIR)/glib \
            -I$(GLIB_DIR)/gmodule \
            -I$(GLIB_DIR)/build/win32/vs100 \
            -I$(GSTREAMER_DIR)/gstreamer \
            -I$(GSTREAMER_DIR)/gstreamer/libs \
            -I$(GSTREAMER_DIR)/gst-plugins-base/gst-libs \
            -I$(BASECLASSES_DIR)

CFLAGS =   -DWIN32 \
           -D_WINDOWS \
           -D_USRDLL \
           -DENABLE_PULL_MODE=1 \
           -DHAVE_CONFIG_H=on2_codecs_config.h \
           -DENABLE_SOURCE_SEEKING=1 \
           -DGSTREAMER_LITE \
           -DGST_REMOVE_DEPRECATED \
           -DGST_REMOVE_DISABLED \
           -DGST_DISABLE_GST_DEBUG \
           -DGST_DISABLE_LOADSAVE \
           -DG_DISABLE_DEPRECATED \
           -DG_DISABLE_ASSERT \
           -DG_DISABLE_CHECKS \
           -D_WINDLL \
           -D_MBCS \
           -DINITGUID \
	   $(INCLUDES) \
           $(COMPILER_FLAGS)

OBJECTS = $(patsubst %.cpp,$(OBJBASE_DIR)/%.obj,$(CPP_SOURCES)) $(patsubst %.c,$(OBJBASE_DIR)/%.obj,$(C_SOURCES))

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -DNDEBUG -Oy -MD -Gy -GF
    LDFLAGS += -opt:ref -opt:icf
    O1FLAGS = -O1
    O2FLAGS = -O2
else # debug
    LDFLAGS += -debug -pdb:$(PDB) 
    CFLAGS += -D_DEBUG -Oy- -RTC1 -MDd -DENABLE_VISUAL_STUDIO_MEMORY_LEAKS_DETECTION -wd"4018" -wd"4244" -wd"4274" -Zi -Fd$(PDB)
    O1FLAGS = -Od
    O2FLAGS = -Od
endif

ifeq ($(ARCH), x32)
    LDFLAGS += -MACHINE:x86
else
    CFLAGS += -D_WIN64
    LDFLAGS += -MACHINE:x64
endif

ifneq ($(strip $(ON2_SRCDIR)),)
DIRLIST += vp6

INCLUDES += -I$(shell cygpath -ma "$(ON2_SRCDIR)/include") \
            -I$(shell cygpath -ma "$(ON2_SRCDIR)/src") \
            -I$(shell cygpath -ma "$(ON2_SRCDIR)/config/win")

LDFLAGS += $(shell cygpath -ma "$(ON2_LIB)")

C_SOURCES += vp6/flvdemux.c    \
             vp6/flvmetadata.c \
             vp6/flvparser.c   \
             vp6/vp6decoder.c

CFLAGS += -DENABLE_ON2_DECODER
endif

LIBS = $(addprefix $(BUILD_DIR)/,$(MODULES))

export BASECLASSES_DIR

.PHONY: default $(MODULES) list

default: $(MODULES)
	$(MAKE) $(TARGET)

$(TARGET): $(OBJECTS) $(LIBS)
	$(LINK) $(LDFLAGS) $(shell cygpath -ma "$(RESOURCE)") $(foreach object,$(OBJECTS),$(shell cygpath -ma $(object))) $(foreach lib,$(LIBS),$(shell cygpath -ma $(lib)))

$(OBJECTS): | $(DEP_DIRS)

$(DEP_DIRS):
	@mkdir -p $(DEP_DIRS)

$(OBJBASE_DIR)/%.obj: $(SRCBASE_DIR)/%.cpp
	$(CPP) $(CFLAGS) $(O1FLAGS) -TP -c -Fo$(shell cygpath -ma $@) $<

$(OBJBASE_DIR)/%.obj: $(SRCBASE_DIR)/%.c
	$(CPP) $(CFLAGS) $(O1FLAGS) -TC -c -Fo$(shell cygpath -ma $@) $<

$(OBJBASE_DIR)/plugin_vp6/vp6decoder.obj: $(SRCBASE_DIR)/plugin_vp6/vp6decoder.c
	$(CPP) $(CFLAGS) $(O2FLAGS) -TC -c -Fo$(shell cygpath -ma $@) $<

$(BASECLASSES_TARGET):
	$(MAKE) TARGET=$(BUILD_DIR)/$(BASECLASSES_TARGET) -f Makefile.BaseClasses

## openjfx 8u102-b14

=== debian/changelog ===
openjfx (8u102-b14-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 25 Oct 2016 11:03:49 +0200

openjfx (8u102-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2016-3498 (Closes: #832419)
    - Refreshed the patches
    - New build dependency on python
  * Fixed the build failure when building only the arch indep packages
    (Closes: #825276)
  * Improved the reproducibility:
    - Use SOURCE_DATE_EPOCH for the BUILD_TIMESTAMP

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Jul 2016 11:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtk2.0-dev,
+               libicu-dev,
                libjpeg-dev,
                libpng-dev,
                libsqlite3-dev,
@@ -33,6 +34,7 @@
                openjdk-8-jdk,
                openjdk-8-doc,
                pkg-config,
+               python,
                qtbase5-dev,
                qtchooser,
                qt5-qmake,

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,10 @@
 %:
 	dh $@ --buildsystem=gradle
 
-override_dh_auto_build-arch:
+override_dh_auto_configure-arch:
 	cp debian/gradle.properties .
 
+override_dh_auto_build-arch:
 	# replace the non-free JavaScript minifier with a noop equivalent
 	cp debian/jsmin-noop.py modules/web/src/main/native/Source/JavaScriptCore/inspector/scripts/jsmin.py
 
@@ -40,8 +41,8 @@
 
 	$(SET_JAVA_OPTS) dh_auto_build -- sdk -x javadoc -x src
 
-override_dh_auto_build-indep:
-	$(SET_JAVA_OPTS) dh_auto_build -- javadoc src
+override_dh_auto_build-indep: override_dh_auto_build-arch
+	$(SET_JAVA_OPTS) dh_auto_build -- javadoc src -PBUILD_JAVADOC=true -PBUILD_SRC_ZIP=true
 
 override_dh_install-arch:
 	dh_install -a

## openjfx 8u111

=== modules/web/src/main/native/Source/Makefile ===
MODULES = WTF JavaScriptCore ThirdParty/ANGLE WebCore WebInspectorUI WebKit WebKit2

ifneq (,$(findstring iphoneos,$(SDKROOT)))
	MODULES = WTF JavaScriptCore ThirdParty/ANGLE WebCore WebKit WebKit2
else ifneq (,$(findstring iphonesimulator,$(SDKROOT)))
	MODULES = WTF JavaScriptCore ThirdParty/ANGLE WebCore WebKit WebKit2
endif

all:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

debug d:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

release r:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

clean:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

=== modules/web/src/main/native/Source/WTF/CMakeLists.txt ===
add_subdirectory(wtf)

=== modules/media/src/main/native/jfxmedia/projects/win/Makefile ===
# jfxmedia-jni win32/win64 makefile

CC = cl.exe
CPP = cl.exe
LINK = link.exe
MAKEDEPEND = makedepend.exe

BUILD_DIR = $(shell cygpath -u "$(OUTPUT_DIR)/$(BUILD_TYPE)")

SRCBASE_DIR = ../..
OBJBASE_DIR = $(BUILD_DIR)/obj/jfxmedia-jni

GSTREAMER_LITE_DIR = ../../../gstreamer/gstreamer-lite
GLIB_LITE_DIR = ../../../gstreamer/3rd_party/glib/glib-2.28.8

DIRLIST = jni \
          PipelineManagement \
          MediaManagement \
          Locator \
          Utils \
          Utils/win32 \
          platform/gstreamer

TARGET = $(BUILD_DIR)/$(BASE_NAME).dll

CL_COMPILER_FLAGS = -nologo -W3 -WX- -Gm- -EHsc -GS -fp:precise \
                    -Zc:wchar_t- -Zc:forScope -Gd -errorReport:queue

JNI_INCLUDES =  -I"$(JAVA_HOME)/include" \
                -I"$(JAVA_HOME)/include/win32"

BASE_INCLUDES = -I$(SRCBASE_DIR) \
                -I$(SRCBASE_DIR)/jni

INCLUDES = $(BASE_INCLUDES) \
           $(JNI_INCLUDES) \
           -I$(shell cygpath -ma "$(GENERATED_HEADERS_DIR)") \
           -I$(GLIB_LITE_DIR)/ \
           -I$(GLIB_LITE_DIR)/glib \
           -I$(GLIB_LITE_DIR)/gmodule \
           -I$(GLIB_LITE_DIR)/build/win32/vs100 \
           -I$(GSTREAMER_LITE_DIR)/gstreamer \
           -I$(GSTREAMER_LITE_DIR)/gst-plugins-base/gst-libs \
           -I$(GSTREAMER_LITE_DIR)/gst-plugins-base/win32/common \
           -I$(GSTREAMER_LITE_DIR)/gstreamer/libs

CFLAGS = -DWIN32 \
         -D_WINDOWS \
         -D_USRDLL \
         -DJFXMEDIA_JNI_EXPORTS \
         -DTARGET_OS_WIN32=1 \
         -D_WIN32_WINNT=0x0500 \
         -DGST_DISABLE_LOADSAVE \
         -DGSTREAMER_LITE \
         -D_WINDLL \
         -D_MBCS \
	 $(INCLUDES) \
         $(CL_COMPILER_FLAGS)

ifeq ($(VS_VER), 100)
    CFLAGS += -D_STATIC_CPPLIB -D_DISABLE_DEPRECATE_STATIC_CPPLIB
endif

LIBS = gstreamer-lite.lib \
       glib-lite.lib \
       Winmm.lib \
       kernel32.lib \
       user32.lib \
       comdlg32.lib \
       advapi32.lib

MANIFEST = $(shell cygpath -ma "$(BUILD_DIR)/$(BASE_NAME).manifest")
PDB      = $(shell cygpath -ma "$(BUILD_DIR)/$(BASE_NAME).pdb")

LDFLAGS = -dll -out:$(shell cygpath -ma $(TARGET)) -incremental:no -nologo -libpath:$(shell cygpath -ma $(BUILD_DIR)) $(LIBS) \
          -manifest -manifestfile:$(MANIFEST) -manifestuac:"level='asInvoker' uiAccess='false'" \
          -subsystem:windows -dynamicbase -errorreport:queue

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -DNDEBUG -O2 -MD
    LDFLAGS += -opt:ref -opt:icf
else
    CFLAGS += -D_DEBUG -Od -RTC1 -MDd -Zi -Fd$(PDB)
    LDFLAGS += -debug -pdb:$(PDB)
endif

ifeq ($(ARCH), x32)
    CFLAGS += -Oy-
    LDFLAGS += -MACHINE:x86
else
    CFLAGS += -D_WIN64
    LDFLAGS += -MACHINE:x64
endif

CPP_SOURCES = \
        jni/com_sun_media_jfxmedia_logging_Logger.cpp   \
        jni/JavaBandsHolder.cpp \
        jni/JavaMediaWarningListener.cpp \
        jni/JavaPlayerEventDispatcher.cpp \
        jni/JniUtils.cpp \
        jni/Logger.cpp \
        jni/NativeVideoBuffer.cpp \
        jni/NativeAudioEqualizer.cpp \
        jni/NativeAudioSpectrum.cpp \
        jni/NativeEqualizerBand.cpp \
        jni/JavaInputStreamCallbacks.cpp \
        PipelineManagement/AudioTrack.cpp \
        PipelineManagement/Pipeline.cpp \
        PipelineManagement/PipelineFactory.cpp \
        PipelineManagement/Track.cpp \
        PipelineManagement/VideoFrame.cpp \
        PipelineManagement/VideoTrack.cpp \
        PipelineManagement/SubtitleTrack.cpp \
        MediaManagement/Media.cpp \
        MediaManagement/MediaManager.cpp \
        Locator/Locator.cpp \
        Locator/LocatorStream.cpp \
        platform/gstreamer/GstMedia.cpp \
        platform/gstreamer/GstMediaPlayer.cpp \
        platform/gstreamer/GstPlatform.cpp \
        platform/gstreamer/GstAudioEqualizer.cpp \
        platform/gstreamer/GstAudioPlaybackPipeline.cpp \
        platform/gstreamer/GstAudioSpectrum.cpp \
        platform/gstreamer/GstAVPlaybackPipeline.cpp \
        platform/gstreamer/GstElementContainer.cpp \
        platform/gstreamer/GstJniUtils.cpp \
        platform/gstreamer/GstMediaManager.cpp \
        platform/gstreamer/GstPipelineFactory.cpp \
        platform/gstreamer/GstVideoFrame.cpp \
        Utils/MediaWarningDispatcher.cpp \
        Utils/LowLevelPerf.cpp \
        Utils/win32/WinCriticalSection.cpp  \
        Utils/win32/WinDllMain.cpp \
        Utils/win32/WinThread.cpp \
        Utils/win32/WinExceptionHandler.cpp

C_SOURCES = Utils/ColorConverter.c

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))

DEP_DIRS = $(BUILD_DIR) $(OBJ_DIRS)

DEPTOKEN = "\# makedepend"
DEPFILE = $(OBJBASE_DIR)/Depend.mak

OBJECTS = $(patsubst %.cpp,$(OBJBASE_DIR)/%.obj,$(CPP_SOURCES)) $(patsubst %.c,$(OBJBASE_DIR)/%.obj,$(C_SOURCES))

.PHONY: clean default list

default: $(TARGET)

$(TARGET): $(DEPFILE) $(OBJECTS) 
	$(LINK) $(LDFLAGS) $(shell cygpath -ma "$(RESOURCE)") $(foreach object,$(OBJECTS),$(shell cygpath -ma $(object)))

$(DEPFILE): | $(DEP_DIRS)
	@echo $(DEPTOKEN) > $(DEPFILE)
	makedepend -DTARGET_OS_WIN32=1 $(BASE_INCLUDES) $(shell cygpath -u "$(GENERATED_HEADERS_DIR)") -Y -o.obj -f$(DEPFILE) -s$(DEPTOKEN) $(addprefix $(SRCBASE_DIR)/,$(CPP_SOURCES)) >& /dev/null

$(DEP_DIRS):
	mkdir -p $(DEP_DIRS)

-include $(DEPFILE)

$(OBJBASE_DIR)/%.obj: $(SRCBASE_DIR)/%.cpp
	$(CPP) $(CFLAGS) -TP -c -Fo$(shell cygpath -ma $@) $<

$(OBJBASE_DIR)/%.obj: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) -TC -c -Fo$(shell cygpath -ma $@) $<

=== modules/media/src/main/native/gstreamer/projects/linux/fxplugins/Makefile ===
#
# Linux Makefile for fxplugins
#

BUILD_DIR = $(OUTPUT_DIR)/$(BUILD_TYPE)
TARGET_DIRS = $(BUILD_DIR)

SRCBASE_DIR = ../../../plugins
OBJBASE_DIR = $(BUILD_DIR)/obj/fxplugins

DIRLIST = progressbuffer       \
          progressbuffer/posix \
          javasource

TARGET = $(BUILD_DIR)/lib$(BASE_NAME).so

CFLAGS = -fPIC                   \
         -Werror=implicit-function-declaration \
         -msse2                  \
         -fbuiltin               \
         -DHAVE_STDINT_H         \
         -DLINUX                 \
         -DENABLE_PULL_MODE      \
         -DENABLE_SOURCE_SEEKING \
         -D__MEDIALIB_OLD_NAMES  \
         -DGST_DISABLE_LOADSAVE  \
         -DGST_DISABLE_GST_DEBUG \
         -DGSTREAMER_LITE

ifeq ($(BUILD_TYPE), Release)
    CFLAGS += -Os
else
    CFLAGS += -g -Wall
endif


INCLUDES = -I$(SRCBASE_DIR) \
	   $(addprefix -I$(SRCBASE_DIR)/,$(DIRLIST)) \
           -I../../../gstreamer-lite/gstreamer       \
           -I../../../gstreamer-lite/gstreamer/libs

PACKAGES_INCLUDES := $(shell pkg-config --cflags glib-2.0)
PACKAGES_LIBS := $(shell pkg-config --libs glib-2.0 gobject-2.0)

LDFLAGS = -L$(BUILD_DIR) -lgstreamer-lite $(PACKAGES_LIBS) 

ifeq ($(ARCH), x32)
    CFLAGS += -m32
    LDFLAGS += -m32
endif

SOURCES = fxplugins.c                        \
          progressbuffer/progressbuffer.c    \
          progressbuffer/hlsprogressbuffer.c \
          progressbuffer/posix/filecache.c   \
          javasource/javasource.c            \
          javasource/marshal.c

ifneq ($(strip $(ON2_SRCDIR)),)
DIRLIST += vp6

INCLUDES += -I$(ON2_SRCDIR)/include \
            -I$(ON2_SRCDIR)/src \
            -I$(ON2_SRCDIR)/config/linux

SOURCES += vp6/flvdemux.c    \
           vp6/flvmetadata.c \
           vp6/flvparser.c   \
           vp6/vp6decoder.c

CFLAGS += -DENABLE_ON2_DECODER
endif

OBJ_DIRS = $(addprefix $(OBJBASE_DIR)/,$(DIRLIST))
OBJECTS = $(patsubst %.c,$(OBJBASE_DIR)/%.o,$(SOURCES))

.PHONY: default list

default: $(TARGET)

$(OBJBASE_DIR)/%.o: $(SRCBASE_DIR)/%.c
	$(CC) $(CFLAGS) $(INCLUDES) $(PACKAGES_INCLUDES) -c $< -o $@

$(OBJECTS): | $(OBJ_DIRS) $(TARGET_DIRS)

$(OBJ_DIRS):
	mkdir -p $(OBJ_DIRS)

$(TARGET_DIRS):
	mkdir -p $(TARGET_DIRS)

$(TARGET): $(OBJECTS)
	$(CC) -shared $(OBJECTS) $(ON2_LIB) $(ON2_LIB) $(LDFLAGS) -o $@

## openjfx 8u111-b14

=== debian/changelog ===
openjfx (8u111-b14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fixed the build failure with GCC 6 (Closes: #837021)
  * Transition to libswt-gtk-4-java
  * Updated debian/orig-tar.sh to download the latest releases

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 24 Nov 2016 15:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,11 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libgtk2.0-dev,
-               libicu-dev,
                libjpeg-dev,
                libpng-dev,
                libsqlite3-dev,
                libstringtemplate-java,
-               libswt-gtk-3-java,
+               libswt-gtk-4-java,
                libudev-dev,
                libwerken.xpath-java,
                libx11-dev,
